﻿using System;
using System.Collections.Generic;
 

namespace SampleApp
{

    public class ScatterSampleData : ScatterDataList
    {
        public ScatterSampleData()
        {
            var rand = new Random();

            for (int i = 0; i < 100; i++)
            {
                var x = rand.Next(0, 100);
                var y = rand.Next(0, 100);
                var v = rand.Next(10, 50);
                this.Add(new ScatterDataItem { X = x, Y = y, Value = v, Index = i, Label = i.ToString() });
            }

            //this.Add(new DataItem { X = 30, Y = 60, Value = 40 });
            //this.Add(new DataItem { X = 40, Y = 50, Value = 40 });
            //this.Add(new DataItem { X = 60, Y = 60, Value = 40 });
            //this.Add(new DataItem { X = 40, Y = 70, Value = 40 });
         
            //this.Add(new DataItem { X = 20, Y = 60, Value = 30 });
            //this.Add(new DataItem { X = 40, Y = 30, Value = 30 });
            //this.Add(new DataItem { X = 80, Y = 60, Value = 30 });
            //this.Add(new DataItem { X = 40, Y = 80, Value = 30 });
          
            //this.Add(new DataItem { X = 10, Y = 60, Value = 20 });
            //this.Add(new DataItem { X = 40, Y = 10, Value = 20 });
            //this.Add(new DataItem { X = 80, Y = 30, Value = 20 });
            //this.Add(new DataItem { X = 120, Y = 60, Value = 20 });
            //this.Add(new DataItem { X = 80, Y = 80, Value = 20 });
            //this.Add(new DataItem { X = 40, Y = 110, Value = 20 });
        
            //var index = 0;
            //foreach (var item in this)
            //{
            //    index++;
            //    item.Index = index;
            //    item.Label = index.ToString();
            //    item.X -= 60;
            //    item.Y -= 60;
            //}
        }


    }
    public class ScatterYearData : ScatterDataList
    {
        public ScatterYearData()
        {
            var rand = new Random();
            var value = 50.0;
            for (var i = 1980; i < 2020; i++)
            {
                var val = rand.Next(0, 20);
                if (val % 2 == 0)
                    value += val;
                else
                    value -= val;
                var x = i;
                var y = value;
                this.Add(new ScatterDataItem() { X = x, Y = y });
            }
        }
    }

    public class ScatterDataList : List<ScatterDataItem>
    {

         

    }
    public class ScatterDataItem //: ObservableModel
    {
        public ScatterDataItem()
        {
            AnnotaionValue = 0;
        }
        public new string ToString()
        {
            return Label + ", " + Value + ", " + X + ", " + Y;
        }
        public string Label { get; set; }
        public int Index { get; set; }
        private string _data = string.Empty;
        public string AnnotaionText
        {
            get { return _data; }
            set { _data = value; //OnPropertyChanged("AnnotaionText"); 
            }
        }
       // public string AnnotaionText { get; set; }
        public double AnnotaionValue { get; set; }
   
        public double Value { get; set; }
        public double X { get; set; }
        public double Y { get; set; }

    }


}