﻿using System.Collections.Generic;
using System.Linq;
using System.Windows.Media;
using Infragistics;
using Infragistics.Controls.Charts;

namespace SampleApp
{
    public class CustomContourValueResolver : LinearContourValueResolver
    {
        public CustomContourValueResolver()
        {
            Values = new DoubleCollection { 0, 1, 2, 3, 4, 5, 6, 7, 8, 9 };
        }
        public DoubleCollection Values { get; set; }

        public override IEnumerable<double> GetContourValues(IFastItemColumn<double> valueColumn)
        {
            return Values.ToArray(); // new double[] { 1, 2, 4, 5, 8 };
        }

    }
}