﻿using System;
using System.Collections.Generic;

namespace SampleApp
{
    public class SampleStackData : StackData
    {
        public SampleStackData()
        {

            var rand = new Random();
            for (int i = 0; i < 10; i++)
            {
                var v1 = rand.Next(10, 30);
                var v2 = rand.Next(30, 50);
                var v3 = rand.Next(20, 40);
                this.Add(new StackDataItem { Label = "Label " + (i+1), Value1 = v1, Value2 = v2, Value3 = v3 });
            }
            
        }

    }
    public class StackData : List<StackDataItem>
    {


    }

    public class StackDataItem
    {
        public string Label { get; set; }
        public double Value1 { get; set; }
        public double Value2 { get; set; }
        public double Value3 { get; set; }

    }
}