﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SampleApp
{
    /// <summary>
    /// Interaction logic for CategoryChartWithAxisLabels.xaml
    /// </summary>
    public partial class CategoryChartWithAxisLabels : UserControl
    {
        public CategoryChartWithAxisLabels()
        {
            InitializeComponent();
        }
    }

    public class SampleFrequencyData : FrequencyData
    {
        public SampleFrequencyData()
        {
            var rand = new Random();
            for (int i = 0; i < 5; i++)
            {
                var item = new FrequencyItem();
                for (int ii = 0; ii < 10; ii++)
                {
                    var label = "Label " + ii;
                    var value = rand.Next(0, 20);
                    item.Values.Add(new Frequency { FrequencyLabel = label, FrequencyValue = value });
                }
                item.Title = "Series " + (i+1);
                this.Frequencies.Add(item);
            }
        }
    }

    public class FrequencyData
    {
        public FrequencyData()
        {
            Frequencies = new List<FrequencyItem>();
        }
        public List<FrequencyItem> Frequencies { get; set; }
       
    }
    public class FrequencyItem
    {
        public FrequencyItem()
        {
            Values = new List<Frequency>();
        }
        public string Title { get; set; }
        public List<Frequency> Values { get; set; }
    }
    public class Frequency
    {

        public string FrequencyLabel { get; set; }
        public double FrequencyValue { get; set; }
    }
}
